Get desktop automation capabilities
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/capabilities \
--header 'Authorization: Bearer <token>'{
"version": 2,
"capture": {
"compressed_formats": [
"<string>"
],
"region": true,
"cursor_overlay": true
},
"input": {
"mouse": true,
"keyboard": true
},
"display": {
"topology_model": "xrandr",
"multi_monitor": true,
"primary_monitor": true
},
"windows": {
"class_name": true,
"active": true,
"pid": true,
"desktop": true,
"desktop_name": true
},
"launch": {
"modes": [
"executable"
],
"uri_argument_for_desktop_entry": true
},
"open": {
"target_kinds": [
"path"
]
},
"clipboard": {
"text_read": true,
"text_write": true,
"viewer_panel": true,
"view_only_copy": true
},
"streaming": {
"raw_vnc": true,
"managed_viewer": true,
"view_only": true,
"default_surface": "managed_viewer",
"raw_vnc_role": "disabled",
"raw_vnc_mode": "disabled",
"raw_vnc_auth": "none",
"managed_viewer_auth_required": true
},
"recording": {
"basic": true
}
}Desktop
Get desktop automation capabilities
GET
/
v1
/
machines
/
{id}
/
desktop
/
capabilities
Get desktop automation capabilities
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/capabilities \
--header 'Authorization: Bearer <token>'{
"version": 2,
"capture": {
"compressed_formats": [
"<string>"
],
"region": true,
"cursor_overlay": true
},
"input": {
"mouse": true,
"keyboard": true
},
"display": {
"topology_model": "xrandr",
"multi_monitor": true,
"primary_monitor": true
},
"windows": {
"class_name": true,
"active": true,
"pid": true,
"desktop": true,
"desktop_name": true
},
"launch": {
"modes": [
"executable"
],
"uri_argument_for_desktop_entry": true
},
"open": {
"target_kinds": [
"path"
]
},
"clipboard": {
"text_read": true,
"text_write": true,
"viewer_panel": true,
"view_only_copy": true
},
"streaming": {
"raw_vnc": true,
"managed_viewer": true,
"view_only": true,
"default_surface": "managed_viewer",
"raw_vnc_role": "disabled",
"raw_vnc_mode": "disabled",
"raw_vnc_auth": "none",
"managed_viewer_auth_required": true
},
"recording": {
"basic": true
}
}Authorizations
API key passed as Bearer token
Path Parameters
Machine ID (e.g. mch_a1b2c3d4)
Response
200 - application/json
Desktop capability matrix
Available options:
2 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes